{
  config,
  lib,
  pkgs,
  ...
}:
let
  tex = (
    pkgs.texlive.combine {
      inherit (pkgs.texlive)
        scheme-basic
        dvisvgm
        dvipng # for preview and export as html in org-mode
        wrapfig
        amsmath
        ulem
        hyperref
        capt-of
        ;
    }
  );
in
{
  imports = [ ];

  environment.systemPackages = with pkgs; [
    tex
  ];

}
