{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  environment.systemPackages = with pkgs; [
    alacritty
    xdg-utils # for xdg-open
  ];

  home-manager.users.talexander =
    { pkgs, ... }:
    {
      home.file.".config/alacritty/alacritty.toml" = {
        source = ./files/alacritty.toml;
      };
    };

}
